<?php

namespace kernel\app_modules\tgbot\models\forms;

use kernel\FormModel;

/**
 * @property int $bot_id
 * @property int $dialog_id
 * @property string $to_group
 * @property string $content
 * @property string $photo
 * @property int $status
 */
class CreateTgbotNotificationForm extends FormModel
{

    public function rules(): array
    {
        return [
            'bot_id' => 'required|alpha-numeric',
            'dialog_id' => 'alpha-numeric',
            'to_group' => 'alpha-numeric',
            'content' => 'min-str-len:5',
            'photo' => 'min-str-len:5',
            'status' => 'alpha-numeric'
        ];
    }

}